public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/patron/
Date: Mon, 12 Jul 2021 13:26:35 +0000 (UTC)	[thread overview]
Message-ID: <1626096390.59fb91b761840e19d61c3c50032c1d6c62c4101a.graaff@gentoo> (raw)

commit:     59fb91b761840e19d61c3c50032c1d6c62c4101a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 12 08:25:37 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 12 13:26:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59fb91b7

dev-ruby/patron: add ruby27; EAPI 7; fix extension

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/patron/patron-0.13.3-r1.ebuild | 39 +++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-ruby/patron/patron-0.13.3-r1.ebuild b/dev-ruby/patron/patron-0.13.3-r1.ebuild
new file mode 100644
index 00000000000..08c165ff73f
--- /dev/null
+++ b/dev-ruby/patron/patron-0.13.3-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/patron/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_DIR="lib/patron"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Patron is a Ruby HTTP client library based on libcurl"
+HOMEPAGE="https://toland.github.com/patron/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND+=" net-misc/curl"
+RDEPEND+=" net-misc/curl"
+
+ruby_add_bdepend "test? ( dev-ruby/rack www-servers/puma )"
+
+all_ruby_prepare() {
+	# Fix Rakefile
+	sed -i -e 's:rake/rdoctask:rdoc/task:' \
+		-e 's/README.txt/README.md/' \
+		-e '/bundler/I s:^:#:' \
+		-e '/extensiontask/ s:^:#:' \
+		-e '/ExtensionTask/,/^end/ s:^:#:' \
+		Rakefile || die
+
+	# Avoid specs with failures. We were not running any specs before.
+	rm spec/session_ssl_spec.rb spec/session_spec.rb spec/response_spec.rb || die
+}


             reply	other threads:[~2021-07-12 13:26 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-12 13:26 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-28 14:21 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/patron/ Hans de Graaff
2025-02-28 14:21 Hans de Graaff
2024-10-06 11:36 Sam James
2024-10-06 11:11 Sam James
2024-02-29  7:14 Hans de Graaff
2023-09-15 14:56 Hans de Graaff
2023-07-12  6:39 Jakov Smolić
2023-07-11 14:02 Jakov Smolić
2023-07-11  7:47 Hans de Graaff
2023-04-09  3:33 Sam James
2023-04-07 15:03 Sam James
2023-04-07 15:03 Sam James
2023-04-07 15:03 Sam James
2023-04-07 15:03 Sam James
2023-04-07 15:03 Sam James
2023-04-03  0:47 Sam James
2023-04-03  0:47 Sam James
2023-02-04  7:08 Hans de Graaff
2022-12-24  6:35 Sam James
2021-10-23  7:05 Hans de Graaff
2021-10-20  6:56 Agostino Sarubbo
2021-10-17 20:04 Sam James
2021-10-17  6:04 Hans de Graaff
2021-07-16  8:52 Hans de Graaff
2020-05-30 18:36 Hans de Graaff
2020-05-30 18:36 Hans de Graaff
2019-05-23  5:39 Hans de Graaff
2019-04-29 18:34 Hans de Graaff
2019-04-29  5:32 Hans de Graaff
2019-04-28 20:34 Thomas Deutschmann
2019-04-13 14:10 Mikle Kolyada
2018-12-26 11:48 Sergei Trofimovich
2018-12-22  6:44 Hans de Graaff
2018-12-19  6:22 Hans de Graaff
2018-12-19  6:22 Hans de Graaff
2018-05-01  4:45 Hans de Graaff
2018-04-30 20:11 Hans de Graaff
2018-03-22 20:23 Jeroen Roovers
2018-03-02  6:39 Hans de Graaff
2018-02-08  6:25 Hans de Graaff
2018-01-31  6:03 Hans de Graaff
2018-01-22 19:26 Hans de Graaff
2018-01-21 21:17 Thomas Deutschmann
2018-01-21  6:43 Hans de Graaff
2018-01-20 10:19 Hans de Graaff
2017-10-05  4:50 Hans de Graaff
2017-08-26  8:27 Hans de Graaff
2017-07-19  6:55 Hans de Graaff
2017-07-19  6:55 Hans de Graaff
2017-05-08  5:27 Hans de Graaff
2017-05-08  5:27 Hans de Graaff
2016-09-07  4:48 Hans de Graaff
2016-09-02  6:14 Hans de Graaff
2016-09-02  6:14 Hans de Graaff
2016-06-14  4:51 Hans de Graaff
2016-06-03  5:19 Hans de Graaff
2016-05-30  5:35 Hans de Graaff
2016-05-05  5:27 Hans de Graaff
2016-04-11  5:12 Hans de Graaff
2016-04-11  5:12 Hans de Graaff
2016-04-11  5:12 Hans de Graaff
2016-03-15  5:53 Hans de Graaff
2016-01-03  5:38 Richard Farina
2015-09-08  5:35 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1626096390.59fb91b761840e19d61c3c50032c1d6c62c4101a.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox